Class Specialization
WaveletTree
A wavelet tree is a tree like binary encoding of a text.

RankDictionary

WaveletTree

WaveletTree<TValue>
Include Headers
seqan/index.h
Parameters

TValue | The value type of the wavelet tree.

Remarks
The nodes of a wavelet tree consist of a bit string as well as a character c. In each level of the tree, characters smaller than c are represented as a 0 while character greater or equal to c are represented with a 1. The characters represented by a 0 form the string to be represented by the left subtree while characters represented by a 1 form the string of the right subtree. Therefore, only the bit string of the root node represents all characters while all other nodes represent subsets.
Specialization of
RankDictionary
Metafunctions

Fibre | Type of a specific container member (fibre). (RankDictionary)

Functions

clear | Clears the rank dictionary. (RankDictionary)
countOccurrences | Returns the number of occurrences of a specified character from the start to a specified position. (RankDictionary)
createRankDictionary | This functions creates the dictionary. (RankDictionary)
createSentinelRankDictionary | This functions creates the dictionary structure. (RankDictionary)
empty | Returns whether or not the rank dictionary is empty. (RankDictionary)
getFibre | Returns a specific fibre of a dictionary. (RankDictionary)
getSentinelSubstitute | Returns the character used to substitute the sentinel sign. (RankDictionary)
getValue | Returns the character of a specified position. (RankDictionary)
open | This functions loads a dictionary from disk. (RankDictionary)
save | This functions saves a dictionary to disk. (RankDictionary)
setSentinelPosition | Sets the sentinel position.. (RankDictionary)
setSentinelSubstitute | Sets the character used to substitute the sentinel sign. (RankDictionary)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00